ompi/mca/pml/ob1/pml_ob1_comm.h File Reference.TH "ompi/mca/pml/ob1/pml_ob1_comm.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/pml/ob1/pml_ob1_comm.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'opal/threads/mutex.h'\fP
.br
\fC#include 'opal/threads/condition.h'\fP
.br
\fC#include 'mca/ptl/ptl.h'\fP
.br
\fC#include 'opal/class/opal_list.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef mca_pml_ob1_comm_proc_t \fBmca_pml_ob1_comm_proc_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_pml_comm_t\fP \fBmca_pml_ob1_comm_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBOBJ_CLASS_DECLARATION\fP (\fBmca_pml_ob1_comm_t\fP)"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_pml_ob1_comm_init_size\fP (\fBmca_pml_ob1_comm_t\fP *comm, size_t size)"
.br
.RI "\fIInitialize an instance of mca_pml_ob1_comm_t based on the communicator size. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "OMPI_DECLSPEC int mca_pml_ob1_comm_init_size (\fBmca_pml_ob1_comm_t\fP * comm, size_t size)"
.PP
Initialize an instance of mca_pml_ob1_comm_t based on the communicator size. 
.PP
\fBParameters:\fP
.RS 4
\fIcomm\fP Instance of mca_pml_ob1_comm_t 
.br
\fIsize\fP Size of communicator 
.RE
.PP
\fBReturns:\fP
.RS 4
OMPI_SUCCESS or error status on failure. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
